%define major	0
%define libname	%mklibname %{name}-core %{major}
%define devname	%mklibname %{name}-core -d

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:	Web browser based on WebKitGtk
Name:		midori
Version:	9.0
Release:	%mkrel 7
License:	LGPLv2+
Group:		Networking/WWW
URL:		https://www.midori-browser.org/
# For git: git clone http://software.twotoasts.de/media/midori.git
Source0:	https://github.com/midori-browser/core/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# (tpg) set default homepage
Patch0:		midori-6.0-mageia-default-homepage.patch
# (wally) add "&t=mageia" parameter to duckduckgo search
Patch1:		midori-6.0-mageia-duckduckgo.patch
Patch2:		fix-link.diff
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(gcr-3)

BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	intltool
BuildRequires:	vala
BuildRequires:	desktop-file-utils
BuildRequires:	librsvg
BuildRequires:	cmake

Provides:	webclient
Requires:	indexhtml
Requires:	xdg-utils
Requires:	glib-networking
Requires:	gsettings-desktop-schemas

%description
Midori is a lightweight GTK+ 3 web browser based on WebKitGtk. It
features tabs, windows and session management, bookmarks stored with
XBEL, searchbox based on OpenSearch, and user scripts support.

%package -n %{libname}
Summary:	Core libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the core libraries for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 0.5.7

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%autosetup -n %{name}-v%{version} -p1


%build
%cmake

%cmake_build

%install
%cmake_install

#fix desktop file
desktop-file-install \
	--remove-not-show-in="Pantheon" \
	--dir=%{buildroot}%{_datadir}/applications/ \
		 %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/org.%{name}*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_metainfodir}/org.midori_browser.Midori.appdata.xml
%{_libdir}/girepository-1.0/Midori-0.6.typelib

%files -n %{libname}
%{_libdir}/libmidori-core.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libmidori-core.so
%{_datadir}/gir-1.0/Midori-0.6.gir


%changelog
* Mon Nov 07 2022 wally <wally> 9.0-7.mga9
+ Revision: 1904464
- drop unneeded webkit2 requires as it's now correctly required by webkit2 lib

* Mon Nov 07 2022 ghibo <ghibo> 9.0-6.mga9
+ Revision: 1904449
- Fix Building.
- Add webkit24 (i.e. webkit2 4.0) to Requires.

* Sat Apr 02 2022 umeabot <umeabot> 9.0-5.mga9
+ Revision: 1840277
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 daviddavid <daviddavid> 9.0-4.mga8
+ Revision: 1532216
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 9.0-3.mga8
+ Revision: 1441857
- rebuild for libpeas

* Thu Aug 08 2019 tv <tv> 9.0-2.mga8
+ Revision: 1428162
- fix linking with new libpeas (might be better to patch libpeas-gtk.pc...)
- rebuild for new libpeas

* Thu Aug 01 2019 kekepower <kekepower> 9.0-1.mga8
+ Revision: 1426738
- Update to version 9.0

* Wed Mar 20 2019 daviddavid <daviddavid> 8.0-1.mga7
+ Revision: 1379190
- new version: 8.0 (Robolicious)

* Fri Dec 07 2018 daviddavid <daviddavid> 7.0-1.mga7
+ Revision: 1338725
- new version: 7.0

* Thu Nov 29 2018 daviddavid <daviddavid> 6.0-1.mga7
+ Revision: 1336628
- new version: 6.0
- rename and rediff mageia-default-homepage patch
- rename and rediff mageia-duckduckgo patch

* Sun Sep 23 2018 umeabot <umeabot> 0.5.11-6.mga7
+ Revision: 1299535
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 daviddavid <daviddavid> 0.5.11-5.mga7
+ Revision: 1200118
- disable gtk-doc

* Mon May 29 2017 pterjan <pterjan> 0.5.11-4.mga6
+ Revision: 1105466
- Fix build with latest vala

* Wed Mar 16 2016 luigiwalser <luigiwalser> 0.5.11-3.mga6
+ Revision: 992230
- build with gtk3 and webkit2

* Mon Feb 15 2016 umeabot <umeabot> 0.5.11-2.mga6
+ Revision: 961397
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 wally <wally> 0.5.11-1.mga6
+ Revision: 884238
- new version 0.5.11

* Tue Jul 07 2015 wally <wally> 0.5.10-2.mga6
+ Revision: 852440
- fix provides excludes for plugins

* Tue Jul 07 2015 vaci0 <vaci0> 0.5.10-1.mga6
+ Revision: 852435
- Update to new version 0.5.10

* Thu Dec 25 2014 vaci0 <vaci0> 0.5.9-1.mga5
+ Revision: 805886
- Update to new version 0.5.9
- Fix default homepage patch to new version
- Fix duckduckgo patch to new version

* Wed Oct 15 2014 umeabot <umeabot> 0.5.8-5.mga5
+ Revision: 743068
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.8-4.mga5
+ Revision: 727272
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.8-3.mga5
+ Revision: 682386
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 wally <wally> 0.5.8-2.mga5
+ Revision: 655971
- rebuild for new gkt/glib/webkit

* Thu Apr 10 2014 wally <wally> 0.5.8-1.mga5
+ Revision: 613315
- new version 0.5.8

* Fri Feb 07 2014 wally <wally> 0.5.7-1.mga5
+ Revision: 585535
- switch to cmake
- libify pkg
- new version 0.5.5
- rediff default homepage patch

* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-2.mga4
+ Revision: 533684
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 wally <wally> 0.5.5-1.mga4
+ Revision: 474843
- new version 0.5.5

* Mon Jul 22 2013 wally <wally> 0.5.4-2.mga4
+ Revision: 457248
- fix URL

* Mon Jul 22 2013 dams <dams> 0.5.4-1.mga4
+ Revision: 457238
- new version 0.5.4

* Sat Jun 15 2013 wally <wally> 0.5.2-3.mga4
+ Revision: 443379
- rename -vala subpkg to -devel

* Fri May 31 2013 wally <wally> 0.5.2-2.mga4
+ Revision: 433874
- add patch to add '&t=mageia' parameter to duckduckgo search

* Fri May 31 2013 wally <wally> 0.5.2-1.mga4
+ Revision: 433864
- new version 0.5.2
- rediff default homepage patch
- drop .desktop file patch

* Mon Feb 11 2013 wally <wally> 0.4.8-1.mga3
+ Revision: 397897
- fix desktop file
- exclude plugins from provides
- new version 0.4.8

* Sat Jan 12 2013 umeabot <umeabot> 0.4.7-3.mga3
+ Revision: 360041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 wally <wally> 0.4.7-2.mga3
+ Revision: 304388
- require gsettings-desktop-schemas (mga#7750)

* Thu Sep 20 2012 wally <wally> 0.4.7-1.mga3
+ Revision: 296342
- new version 0.4.7
- rediff patches

* Sun Jul 01 2012 wally <wally> 0.4.6-2.mga3
+ Revision: 266053
- switch back to gtk2
- add some conditionals to build against gtk2/gtk3

* Mon May 28 2012 wally <wally> 0.4.6-1.mga3
+ Revision: 248664
- new version 0.4.6

* Fri Mar 09 2012 fwang <fwang> 0.4.4-1.mga2
+ Revision: 221883
- new version 0.4.4

* Mon Dec 19 2011 wally <wally> 0.4.3-3.mga2
+ Revision: 184522
- fix default homepage patch to point file which is available
  also when %%_excludedocs macro is set to yes in /etc/rpm/macros

* Mon Dec 19 2011 fwang <fwang> 0.4.3-2.mga2
+ Revision: 184117
- build gtk3 flavour

* Sun Dec 18 2011 wally <wally> 0.4.3-1.mga2
+ Revision: 183694
- new version 0.4.3

* Sun Dec 11 2011 wally <wally> 0.4.2-2.mga2
+ Revision: 180561
- require glib-networking to enable TLS/SSL support (mga#3693)

* Sat Nov 12 2011 wally <wally> 0.4.2-1.mga2
+ Revision: 166879
- new version 0.4.2
- drop obsoleted configure option
- add patch to drop Unity specific portions from .desktop file
- fix file list
- minor .spec cleanup
+ fwang <fwang>
- new version 0.4.1
- update file list
- disable paiallel build
- new version 0.4.0

* Tue Jun 21 2011 dmorgan <dmorgan> 0.3.6-3.mga2
+ Revision: 111133
- Clean spec file
  Rebuild against new webkit

* Mon Jun 13 2011 ahmad <ahmad> 0.3.6-2.mga2
+ Revision: 105514
- Update to 0.3.6

* Mon Apr 04 2011 ahmad <ahmad> 0.3.3-2.mga1
+ Revision: 80497
- update to 0.3.3

* Wed Mar 16 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 72964
- rebuild against webkit-1.2.x

* Sun Mar 13 2011 ahmad <ahmad> 0.3.2-1.mga1
+ Revision: 70772
- update to 0.3.2
- modify the BR
- build with bundled waf, this release doesn't build with system waf
+ kharec <kharec>
- imported package midori


* Mon Nov 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.9-1mdv2011.0
+ Revision: 591565
- update to new version 0.2.9
- fix file list

* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-1mdv2011.0
+ Revision: 582704
- update to new version 0.2.8

* Sun Aug 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.7-1mdv2011.0
+ Revision: 574006
- update to 0.2.7
- split vala files in a separate package
- fix configure options

* Mon Jun 07 2010 Lev Givon <lev@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 547220
- Update to 0.2.6.

* Sat Apr 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.4-2mdv2010.1
+ Revision: 538395
- remove python-pyunit, it doesn't exist any more
- modify default-homepage patch, it seems to break "restore last opened tabs"
  CCBUG: 58892

* Mon Apr 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.4-1mdv2010.1
+ Revision: 531745
- update to new version 0.2.4
- rediff patch 0
- add python-pyunit as a buildrequire
- fix file list
- Patch0: set default homepage
- updatte to new version 0.2.3

* Wed Dec 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.2-1mdv2010.1
+ Revision: 479153
- update to new version 0.2.2

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 466132
- new version 0.2.1

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 462323
- drop patch0
- add buildrequires on waf and use its macors
- update to new version 0.2.0

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.10-1mdv2010.0
+ Revision: 439035
- update to new version 0.1.10

* Mon Aug 03 2009 Pascal Terjan <pterjan@mandriva.org> 0.1.9-2mdv2010.0
+ Revision: 407685
- Fix i18n (#50935)

* Sun Aug 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.9-1mdv2010.0
+ Revision: 407502
- update to new version 0.1.9

* Wed Jul 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.8-1mdv2010.0
+ Revision: 398601
- update to new version 0.1.8

* Sat May 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.7-1mdv2010.0
+ Revision: 381362
- update to new version 0.1.7
- use _disable_ld_no_undefined
- fix file list

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 369237
- update to new version 0.1.6

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.4-1mdv2009.1
+ Revision: 354357
- Update to new version 0.1.4

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.1.3

* Sun Feb 15 2009 Adam Williamson <awilliamson@mandriva.org> 0.1.3-0.20090214.1mdv2009.1
+ Revision: 340453
- br libsoup-devel (this is recommended upstream)
- bump to current git

* Wed Jan 14 2009 Adam Williamson <awilliamson@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 329328
- drop string literal patch (should be fixed upstream now)
- new release 0.1.2 final

* Sat Dec 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.2-0.20081219.1mdv2009.1
+ Revision: 316381
- rebuild with latest webkit
- pass our LDFLAGS as well as CFLAGS
- add format.patch (fixes a format-security build issue)
- bump to latest git

* Wed Dec 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 309835
- update to new version 0.1.1

* Wed Nov 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.1-0.20081125.2mdv2009.1
+ Revision: 306819
- specify libdir for waf
- update file list
- update license to LGPLv2+
- update to current git

* Sun Oct 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 295317
- fix file list
- update to new version 0.1.0

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.22-0.20080906.1mdv2009.0
+ Revision: 281890
- build against libunique, for single instance support
- ok, figured out how to set optimizations now
- try and set our optflags. don't think it's working, though. bloody 'improved'
  buildsystems...
- buildrequires librsvg (noticed the configure script checks for it)
- bump to current git and rebuild against latest webkit (fixes some crashes)

* Mon Sep 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.21-2mdv2009.0
+ Revision: 278573
- update to new version 0.0.21

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.0.20-2mdv2009.0
+ Revision: 275720
- BR gtksourceview
- update url and source

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.0.20-1mdv2009.0
+ Revision: 275655
- BR python-devel
- use waf to build
- 0.0.20 final

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.20-0.20080813.2mdv2009.0
+ Revision: 271959
- new snapshot 20080813 (bump version as 0.0.19 was released)

* Sat Jul 19 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.19-0.20080719.1mdv2009.0
+ Revision: 238812
- new snapshot 20080719

* Wed Jun 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.19-0.20080617.1mdv2009.0
+ Revision: 226054
- new git snapshot 20080617

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 05 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-2mdv2009.0
+ Revision: 201669
- update buildrequires for change in webkit libname (lower case now)

* Mon May 05 2008 Funda Wang <fwang@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 201368
- 0.0.18 final

* Wed Apr 23 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-0.20080423.1mdv2009.0
+ Revision: 197035
- buildrequires intltool
- new snapshot
- drop the middle click patch, as middle clicking now works properly
- new snapshot 20080415

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.18-0.20080320.1mdv2008.1
+ Revision: 189106
- rediff middleclick.patch
- bump to current git to build against new webkit
- add middleclick.patch: middle click acts as left click to avoid crash caused by bad handling of middle click in webkit (#37717) - patch from Nick Manley

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for new webkit
    - add explicit provides on webclient

* Wed Jan 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.0.17-1mdv2008.1
+ Revision: 160322
- new release 0.0.17

* Sun Jan 06 2008 Funda Wang <fwang@mandriva.org> 0.0.16-1mdv2008.1
+ Revision: 146047
- BR jpeg
- BR icu

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 0.0.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.13-1mdv2008.1
+ Revision: 119609
- new release 0.0.13

* Fri Nov 30 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.12-1mdv2008.1
+ Revision: 114202
- new release 0.0.12 (finally I get to update my own package for a change ;>)

  + Pascal Terjan <pterjan@mandriva.org>
    - s/Gdk/Gtk/ in summary and description

* Fri Nov 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.11-1mdv2008.1
+ Revision: 111364
- update to new version 0.0.11

* Wed Nov 21 2007 Thierry Vignaud <tv@mandriva.org> 0.0.10-2mdv2008.1
+ Revision: 111026
- rebuild for new libicu

* Sat Oct 13 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.10-1mdv2008.1
+ Revision: 97937
- 0.0.10
- Drop P0, fixed upstream

* Mon Oct 08 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.8-1mdv2008.0
+ Revision: 95732
- 0.0.8
- WebKitGdk is dead it is now WebKitGtk
- Add P0 to switch to update to the new api
- Use the .desktop which is now provided

* Mon Sep 03 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.6-1mdv2008.0
+ Revision: 78483
- use Fedora license policy
- minor spec clean
- new release 0.0.6

* Sat Sep 01 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 77440
- 0.0.5
- switch to WebKit
- use autoconf2.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Jul 17 2007 Michael Scherer <misc@mandriva.org> 0.0.3-1mdv2008.0
+ Revision: 52780
- version 0.0.3

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.2-1mdv2008.0
+ Revision: 41681
- new release 0.0.2; drop X-Mandriva menu category; drop patch (no longer needed)

* Tue May 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.0.1-1mdv2008.0
+ Revision: 29831
- Import midori

